Subject: [v6ops] Review of draft-sarikaya-v6ops-prefix-delegation-01.txt

From: Suresh Krishnan <[email-masked]>
Date: Mon, 4 Oct 2010 23:59:49 -0400

Hi,
   I have read the draft draft-sarikaya-v6ops-prefix-delegation-01.txt 
and I have a few comments.

Meta-comment
============

It is unclear what the goal of this draft is

a) Is it expected to be a recommendation from the IETF to 3GPP, WiMAX 
forum etc. on how to perform DHCPv6-PD in their networks?

(or)

b) Is it an Informational document expected to document how DHCPv6-PD is 
being used in these networks?

There is more clarity required here.

Section 3.1
===========

* First paragraph: The text about the relay function is completely 
wrong. If the AR and the DHCPv6 server are not directly connected, there 
needs to be at least one relay between them but the relay is certainly 
not the AR. Can you please rewrite this?

* Same comment about the relay behavior for the sequence diagram. The AR 
  either sends Solicit messages (or) relays Solicit messages from 
somebody else. It does not relay-forward its own Solicit messages.

* Step 2: Need to refer to RFC3633 for describing how to create the IA_PD.

* Step 7: How is the prefix for the RA derived from the delegated prefix?

Section 3.2
===========

* Requires a different sequence diagram showing DHCPv6 messages 
originating from the MN and relay messages from the AR. This cannot be 
shared with Section 3.1

* Second paragraph
"AR as DHCP Relay forwards DHCP Request message in DHCP Relay
  Option and adds Option 82 to the message [RFC3046]"

This does not make sense at all. Option 82 is for DHCPv4, not for 
DHCPv6. What are you trying to convey here?

Section 3.5
===========

* Is this done after the UE gets a /64 prefix or a /128 address as 
described in the earlier sections or is it done before/in parallel?

Section 3.5.2
==============

* Last paragraph

RAs cannot be used to deliver the prefixes to the UE for further 
assignment downstream. Please clarify.

Section 3.6.2
==============

s/IMNI/IMSI/

Section 4
==========

* It is not clear what the AR needs to do with a Delegated-IPv6-Prefix 
that is received in a AAA message. How does the AR delegate this to the MN?

Thanks
Suresh

---

From: Behcet Sarikaya <[email-masked]>
Date: Thu, 7 Oct 2010 09:40:03 -0700 (PDT)

Hi Suresh,
  Thank you for your review.
Please see inline.

----- Original Message ----
> From: Suresh Krishnan <[email-masked]>
> To: [email-masked]
> Sent: Mon, October 4, 2010 10:59:49 PM
> Subject: [v6ops] Review of draft-sarikaya-v6ops-prefix-delegation-01.txt
> 
> Hi,
>   I have read the draft  draft-sarikaya-v6ops-prefix-delegation-01.txt and I 
>have a few  comments.
> 
> Meta-comment
> ============
> 
> a) Is it expected to be a recommendation from the IETF  to 3GPP, WiMAX forum 
>etc. on how to perform DHCPv6-PD in their  networks?
> 
> (or)
> 
> b) Is it an Informational document expected to  document how DHCPv6-PD is being 
>used in these networks?
> 

It is more a) than b) I think. That's why the intended status is BCP. What do 
you think?

> 
> Section 3.1
> ===========
> 
> * First  paragraph: The text about the relay function is completely wrong. If 
>the AR and  the >DHCPv6 server are not directly connected, there needs to be at 
>least one  relay between >them but the relay is certainly not the AR. Can you 
>please rewrite  this?

This is an important point that we need to clarify.

What we have in 3.1 is SLAAC scenario. AR gets the attach trigger and starts the 
Requesting Router operation of 3633 with DHCP Solicit which is internally 
generated. Then another part in AR which is DHCP Relay takes this and sends out 
Relay-Forward message. Pictorially we showed these and following message 
exchanges as in Fig. 2.

Do you think we should make DHCP Client- Relay agent communication more explicit 
in the figure?

>either sends Solicit messages (or) relays Solicit messages from  somebody else. 
>It does not relay-forward its own Solicit messages.
> 
> * Requires a different sequence  diagram showing DHCPv6 messages originating 
>from the MN and relay messages from  the AR. This cannot be shared with Section 
>3.1
> 

What we have in Sec. 3.2 is DHCP scenario. AR first gets a prefix using Sec. 
3.1.
Yes you are right, the next part is different, we can have a different diagram 
there.

We will fix the draft based on your other comments, no problem.

---

From: Suresh Krishnan <[email-masked]>
Date: Tue, 12 Oct 2010 14:08:19 -0400

Hi Behcet,

> It is more a) than b) I think. That's why the intended status is BCP. What do 

It is fine either way, but clarify this in the abstract and/or the 
introduction.

> This is an important point that we need to clarify.

Please do so.

> Do you think we should make DHCP Client- Relay agent communication more explicit 

Yes.

> Yes you are right, the next part is different, we can have a different diagram 

OK.

> We will fix the draft based on your other comments, no problem.

I will review the next version when it is available.

Thanks
Suresh